package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsStrategy;

/**
 * 策略Mapper接口
 *
 * @author xzzn
 * @date 2025-07-10
 */
public interface EmsStrategyMapper
{
    /**
     * 查询策略
     *
     * @param id 策略主键
     * @return 策略
     */
    public EmsStrategy selectEmsStrategyById(Long id);

    /**
     * 查询策略列表
     *
     * @param emsStrategy 策略
     * @return 策略集合
     */
    public List<EmsStrategy> selectEmsStrategyList(EmsStrategy emsStrategy);

    /**
     * 新增策略
     *
     * @param emsStrategy 策略
     * @return 结果
     */
    public int insertEmsStrategy(EmsStrategy emsStrategy);

    /**
     * 修改策略
     *
     * @param emsStrategy 策略
     * @return 结果
     */
    public int updateEmsStrategy(EmsStrategy emsStrategy);

    /**
     * 删除策略
     *
     * @param id 策略主键
     * @return 结果
     */
    public int deleteEmsStrategyById(Long id);

    /**
     * 批量删除策略
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsStrategyByIds(Long[] ids);

    public List<EmsStrategy> getStrategyListByType(Long type);

    // 通过名称获取策略
    public EmsStrategy getStrategyByName(String strategyName);
}
